package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class MedDeptBonusCollection extends AbstractObjectCollection 
{
    public MedDeptBonusCollection()
    {
        super(MedDeptBonusInfo.class);
    }
    public boolean add(MedDeptBonusInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(MedDeptBonusCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(MedDeptBonusInfo item)
    {
        return removeObject(item);
    }
    public MedDeptBonusInfo get(int index)
    {
        return(MedDeptBonusInfo)getObject(index);
    }
    public MedDeptBonusInfo get(Object key)
    {
        return(MedDeptBonusInfo)getObject(key);
    }
    public void set(int index, MedDeptBonusInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(MedDeptBonusInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(MedDeptBonusInfo item)
    {
        return super.indexOf(item);
    }
}